// const { defineConfig } = require('@vue/cli-service')
// module.exports = defineConfig({
//   transpileDependencies: true,
//   configureWebpack: {
//     devtool: 'source-map'
//   },
//   // 强制内联CSS
//   css: {
//     extract: false
//   },
//   lintOnSave: false,
//   chainWebpack: config => {
//     config.module
//         .rule('js')
//         .include
//         .add('./myComponents')//这里根据你文件夹名称自定义，每个人不一样
//         .end()
//         .use('babel')
//         .use('babel-loader')
//         .tap(options => {
//             // 修改它的选项...
//             return options
//         })
//   }
// })


module.exports = {
  lintOnSave: false,
  pages: {
    index: {
      entry: 'examples/main.js',
      template: 'public/index.html',
      filename: 'index.html'
    }
  },
  // 扩展 webpack 配置，使 packages 加入编译
  chainWebpack: config => {
    config.module
      .rule('js')
      .include
        .add('/packages')
        .end()
      .use('babel')
        .loader('babel-loader')
  }
}